<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <PropertyGroup Condition="'$(MSBuildToolsVersion)' == '3.5'">
    <TargetFrameworkVersion>v5.0</TargetFrameworkVersion>
  </PropertyGroup>
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProductVersion>9.0.30729</ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{8772EFB7-4F52-47F2-A832-66039833617E}</ProjectGuid>
    <ProjectTypeGuids>{A1591282-1198-4647-A2B1-27E5FF5F6F3B};{fae04ec0-301f-11d3-bf4b-00c04f79efbc}</ProjectTypeGuids>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>Blend</RootNamespace>
    <AssemblyName>Blend.5</AssemblyName>
    <TargetFrameworkVersion>v5.0</TargetFrameworkVersion>
    <SilverlightApplication>true</SilverlightApplication>
    <SupportedCultures>
    </SupportedCultures>
    <XapOutputs>true</XapOutputs>
    <GenerateSilverlightManifest>true</GenerateSilverlightManifest>
    <XapFilename>Blend.5.xap</XapFilename>
    <SilverlightManifestTemplate>Properties\AppManifest.xml</SilverlightManifestTemplate>
    <SilverlightAppEntry>Blend.App</SilverlightAppEntry>
    <TestPageFileName>TestPage.html</TestPageFileName>
    <CreateTestPage>true</CreateTestPage>
    <ValidateXaml>true</ValidateXaml>
    <EnableOutOfBrowser>false</EnableOutOfBrowser>
    <OutOfBrowserSettingsFile>Properties\OutOfBrowserSettings.xml</OutOfBrowserSettingsFile>
    <UsePlatformExtensions>true</UsePlatformExtensions>
    <ThrowErrorsInValidation>true</ThrowErrorsInValidation>
    <LinkedServerProject></LinkedServerProject>
    
    
    
    
    <ExpressionBlendVersion>3.0.1927.0</ExpressionBlendVersion>
    <TargetFrameworkIdentifier>Silverlight</TargetFrameworkIdentifier>
    <SilverlightVersion>$(TargetFrameworkVersion)</SilverlightVersion>
    <FileUpgradeFlags>
    </FileUpgradeFlags>
    <OldToolsVersion>3.5</OldToolsVersion>
    <UpgradeBackupLocation />
    <PublishUrl>publish\</PublishUrl>
    <Install>true</Install>
    <InstallFrom>Disk</InstallFrom>
    <UpdateEnabled>false</UpdateEnabled>
    <UpdateMode>Foreground</UpdateMode>
    <UpdateInterval>7</UpdateInterval>
    <UpdateIntervalUnits>Days</UpdateIntervalUnits>
    <UpdatePeriodically>false</UpdatePeriodically>
    <UpdateRequired>false</UpdateRequired>
    <MapFileExtensions>true</MapFileExtensions>
    <ApplicationRevision>0</ApplicationRevision>
    <ApplicationVersion>1.0.0.%2a</ApplicationVersion>
    <IsWebBootstrapper>false</IsWebBootstrapper>
    <UseApplicationTrust>false</UseApplicationTrust>
    <BootstrapperEnabled>true</BootstrapperEnabled>
    <TargetFrameworkProfile></TargetFrameworkProfile>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>Bin\Debug</OutputPath>
    <DefineConstants>DEBUG;TRACE;SILVERLIGHT;SL5</DefineConstants>
    <NoStdLib>true</NoStdLib>
    <NoConfig>true</NoConfig>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <CodeAnalysisRuleSet>AllRules.ruleset</CodeAnalysisRuleSet>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>Bin\Release</OutputPath>
    <DefineConstants>TRACE;SILVERLIGHT;SL5</DefineConstants>
    <NoStdLib>true</NoStdLib>
    <NoConfig>true</NoConfig>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <CodeAnalysisRuleSet>AllRules.ruleset</CodeAnalysisRuleSet>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="System.ComponentModel.DataAnnotations" />
    <Reference Include="System.Windows" />
    <Reference Include="mscorlib" />
    <Reference Include="system" />
    <Reference Include="System.Core" />
    <Reference Include="System.Net" />
    <Reference Include="System.Xml" />
    <Reference Include="System.Windows.Browser" />
    <Reference Include="System.Xml.Linq" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="App.xaml.cs">
      <DependentUpon>App_SL5.xaml</DependentUpon>
    </Compile>
    <Compile Include="AssetTreeViewItem.cs" />
    <Compile Include="BlendDockControl.cs" />
    <Compile Include="BlendTabControl.cs" />
    <Compile Include="Assets.xaml.cs">
      <DependentUpon>Assets_SL5.xaml</DependentUpon>
    </Compile>
    <Compile Include="Data.xaml.cs">
      <DependentUpon>Data_SL5.xaml</DependentUpon>
    </Compile>
    <Compile Include="MainPage.xaml.cs">
      <DependentUpon>MainPage_SL5.xaml</DependentUpon>
    </Compile>
    <Compile Include="ObjectsAndTimeline.xaml.cs">
      <DependentUpon>ObjectsAndTimeline_SL5.xaml</DependentUpon>
    </Compile>
    <Compile Include="Projects.xaml.cs">
      <DependentUpon>Projects_SL5.xaml</DependentUpon>
    </Compile>
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="Resources.xaml.cs">
      <DependentUpon>Resources_SL5.xaml</DependentUpon>
    </Compile>
  </ItemGroup>
  <ItemGroup>
    <ApplicationDefinition Include="App_SL5.xaml"><Generator>MSBuild:Compile</Generator><SubType>Designer</SubType></ApplicationDefinition>
    <Page Include="Assets_SL5.xaml"><Generator>MSBuild:Compile</Generator><SubType>Designer</SubType></Page>
    <Page Include="Data_SL5.xaml"><Generator>MSBuild:Compile</Generator><SubType>Designer</SubType></Page>
    <Page Include="MainPage_SL5.xaml"><Generator>MSBuild:Compile</Generator><SubType>Designer</SubType></Page>
    <Page Include="ObjectsAndTimeline_SL5.xaml"><Generator>MSBuild:Compile</Generator><SubType>Designer</SubType></Page>
    <Page Include="Projects_SL5.xaml"><Generator>MSBuild:Compile</Generator><SubType>Designer</SubType></Page>
    <Page Include="Resources_SL5.xaml"><Generator>MSBuild:Compile</Generator><SubType>Designer</SubType></Page>
  </ItemGroup>
  <ItemGroup>
    <None Include="Properties\AppManifest.xml" />
  </ItemGroup>
  <ItemGroup>
    <Reference Include="C1.Silverlight.Docking.5"><SpecificVersion>False</SpecificVersion></Reference>
    <Reference Include="C1.Silverlight.Extended.5"><SpecificVersion>False</SpecificVersion></Reference>
    <Reference Include="C1.Silverlight.RichTextBox.5"><SpecificVersion>False</SpecificVersion></Reference>
    <Reference Include="C1.Silverlight.Theming.ExpressionDark.5"><SpecificVersion>False</SpecificVersion></Reference>
    <Reference Include="C1.Silverlight.Theming.5"><SpecificVersion>False</SpecificVersion></Reference>
    <Reference Include="C1.Silverlight.5"><SpecificVersion>False</SpecificVersion></Reference>
  </ItemGroup>
  <ItemGroup>
    <Resource Include="Resources\ico-usercontrol.png" />
    <Resource Include="Resources\ico_data.png" />
    <Resource Include="Resources\ico_datatop.png" />
    <Resource Include="Resources\ico_grid.png" />
    <Resource Include="Resources\ico_objects.png" />
    <Resource Include="Resources\ico_objects2.png" />
    <Resource Include="Resources\ico_resourcestop.png" />
  </ItemGroup>
  <ItemGroup>
    <Resource Include="Resources\ico_assets.png" />
    <Resource Include="Resources\ico_datatop2.png" />
    <Resource Include="Resources\ico_resourcestop2.png" />
  </ItemGroup>
  <ItemGroup>
    <Resource Include="Resources\ico_project-solution.png" />
    <Resource Include="Resources\ico_project.png" />
  </ItemGroup>
  <ItemGroup>
    <Resource Include="Resources\ico_project-file.png" />
    <Resource Include="Resources\ico_project-folder.png" />
  </ItemGroup>
  <ItemGroup>
    <Resource Include="Resources\mainpage.png" />
  </ItemGroup>
  <ItemGroup>
    <BootstrapperPackage Include="Microsoft.Net.Client.3.5">
      <Visible>False</Visible>
      <ProductName>.NET Framework 3.5 SP1 Client Profile</ProductName>
      <Install>false</Install>
    </BootstrapperPackage>
    <BootstrapperPackage Include="Microsoft.Net.Framework.3.5.SP1">
      <Visible>False</Visible>
      <ProductName>.NET Framework 3.5 SP1</ProductName>
      <Install>true</Install>
    </BootstrapperPackage>
    <BootstrapperPackage Include="Microsoft.Windows.Installer.3.1">
      <Visible>False</Visible>
      <ProductName>Windows Installer 3.1</ProductName>
      <Install>true</Install>
    </BootstrapperPackage>
  </ItemGroup>
  <Import Project="$(MSBuildExtensionsPath32)\Microsoft\Silverlight\$(SilverlightVersion)\Microsoft.Silverlight.CSharp.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
  <ProjectExtensions>
    <VisualStudio>
      <FlavorProperties GUID="{A1591282-1198-4647-A2B1-27E5FF5F6F3B}">
        <SilverlightProjectProperties />
      </FlavorProperties>
    </VisualStudio>
  </ProjectExtensions>
<PropertyGroup><C1_MSBuildToolsVersion>v4.0</C1_MSBuildToolsVersion><C1_MSBuildToolsVersion Condition="$(VisualStudioVersion) != '10.0' And $(VisualStudioVersion) != '11.0'">v12.0</C1_MSBuildToolsVersion><C1_MSBuildToolsVersion Condition="$(VisualStudioVersion) == '14.0'">Core</C1_MSBuildToolsVersion></PropertyGroup><UsingTask TaskName="CorrectNet4BamlNamesInline" TaskFactory="CodeTaskFactory" AssemblyFile="$(MSBuildToolsPath)\Microsoft.Build.Tasks.$(C1_MSBuildToolsVersion).dll"><ParameterGroup><Sources ParameterType="Microsoft.Build.Framework.ITaskItem[]" Required="true" /><Outputs ParameterType="Microsoft.Build.Framework.ITaskItem[]" Output="true" /><ResDictNameSuffix ParameterType="System.String" Required="true" /><ResDictNameExtension ParameterType="System.String" Required="true" /><BuildingProject /></ParameterGroup><Task><Reference Include="System.Xml" /><Reference Include="$(MSBuildToolsPath)\Microsoft.Build.Framework.dll" /><Reference Include="$(MSBuildToolsPath)\Microsoft.Build.Tasks.$(C1_MSBuildToolsVersion).dll" /><Reference Include="$(MSBuildToolsPath)\Microsoft.Build.Utilities.$(C1_MSBuildToolsVersion).dll" /><Using Namespace="System" /><Using Namespace="System.IO" /><Using Namespace="System.Collections.Generic" /><Using Namespace="System.Diagnostics.CodeAnalysis" /><Using Namespace="System.Linq" /><Using Namespace="System.Text" /><Using Namespace="Microsoft.Build.Utilities" /><Using Namespace="Microsoft.Build.Framework" /><Using Namespace="System.Diagnostics" /><Using Namespace="System.Xml.Linq" /><Using Namespace="System.Globalization" /><Code Type="Class" Language="cs">
          
public class CorrectNet4BamlNamesInline : Microsoft.Build.Utilities.Task
    {
        System.Collections.Generic.List&lt;Microsoft.Build.Framework.ITaskItem&gt; _outputs = new System.Collections.Generic.List&lt;Microsoft.Build.Framework.ITaskItem&gt;();

        [Microsoft.Build.Framework.Required]
        public string ResDictNameSuffix { get; set; }
        
        [Microsoft.Build.Framework.Required]
        public string ResDictNameExtension { get; set; }
        
        [Microsoft.Build.Framework.Required]
        public Microsoft.Build.Framework.ITaskItem[] Sources { get; set; }

		[Microsoft.Build.Framework.Output]
		public Microsoft.Build.Framework.ITaskItem[] Outputs
        {
            get
            {
                return _outputs.ToArray();
            }

            set
            {
                _outputs.AddRange(value);
            }
        }

        public string BuildingProject { get; set; }

        public override bool Execute()
        {
            string project = BuildingProject ?? "";
            _outputs.Clear();
            if (Sources == null || Sources.Length == 0)
                return true;
            foreach (Microsoft.Build.Framework.ITaskItem item in Sources)
            {
                Microsoft.Build.Framework.ITaskItem newItem = new Microsoft.Build.Utilities.TaskItem(item);
                _outputs.Add(newItem);
                string srcLink = newItem.GetMetadata("Link");
                string path = string.IsNullOrEmpty(srcLink) ? item.ItemSpec : srcLink;
                string suffix = ResDictNameSuffix + "." + ResDictNameExtension;
                if (path.EndsWith(suffix, System.StringComparison.OrdinalIgnoreCase))
                {
                    string link = path.Remove(path.Length - suffix.Length, ResDictNameSuffix.Length);
                    newItem.SetMetadata("Link", link);
                }
            }

            return true;
        }

    }

        </Code></Task></UsingTask><PropertyGroup><PrepareResourcesDependsOn>BeforeBuild;;C1RenameXamlResDicts;$(PrepareResourcesDependsOn)</PrepareResourcesDependsOn></PropertyGroup><Target Name="C1RenameXamlResDicts"><ItemGroup><_convertedXaml Remove="@(_convertedXaml)" /></ItemGroup><CorrectNet4BamlNamesInline Sources="@(Resource)" BuildingProject="$(MSBuildProjectFullPath)" ResDictNameSuffix="_SL5rd" ResDictNameExtension="xaml"><Output TaskParameter="Outputs" ItemName="_convertedXaml" /></CorrectNet4BamlNamesInline><ItemGroup><Resource Remove="@(Resource)" /><Resource Include="@(_convertedXaml)" /><_convertedXaml Remove="@(_convertedXaml)" /></ItemGroup><CorrectNet4BamlNamesInline Sources="@(EmbeddedResource)" BuildingProject="$(MSBuildProjectFullPath)" ResDictNameSuffix="_SL5rd" ResDictNameExtension="xaml"><Output TaskParameter="Outputs" ItemName="_convertedXaml" /></CorrectNet4BamlNamesInline><ItemGroup><EmbeddedResource Remove="@(EmbeddedResource)" /><EmbeddedResource Include="@(_convertedXaml)" /><_convertedXaml Remove="@(_convertedXaml)" /></ItemGroup></Target></Project>